/*
 * Copyright 2014  Martin Gräßlin <mgraesslin@kde.org>
 * Copyright 2017  Kai Uwe Broulik <kde@privat.broulik.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License or (at your option) version 3 or any later version
 * accepted by the membership of KDE e.V. (or its successor approved
 * by the membership of KDE e.V.), which shall act as a proxy
 * defined in Section 14 of version 3 of the license.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.1
import QtQuick.Window 2.1

Window {
    id: window

    readonly property int animationDuration: units.longDuration
    property bool animationEnabled: false

    flags: Qt.BypassWindowManagerHint | Qt.FramelessWindowHint | Qt.WindowStaysOnTopHint
    color: "lightskyblue"

    x: stickyBorderView.borderX
    y: stickyBorderView.borderY
    width: stickyBorderView.borderWidth
    height: stickyBorderView.borderHeight

    visible: stickyBorderView.active

    Rectangle {
        width: stickyBorderView.borderWidth/3
        height: stickyBorderView.borderHeight/3
        x: stickyBorderView.borderWidth/2 - (stickyBorderView.borderWidth/3)/2
        y: stickyBorderView.borderHeight/2 - (stickyBorderView.borderHeight/3)/2
        radius: 2
        color: "darkGray"
    }
}
